<?php 
include 'config.php';

try {
    // Orijinal adı al
    $sql_select = "SELECT user_id, user_fullname FROM kullanicilar WHERE user_bot = 1 AND user_fullname_old IS NULL LIMIT 500";
    $stmt_select = $db->prepare($sql_select);
    $stmt_select->execute();

    $results = $stmt_select->fetchAll(PDO::FETCH_ASSOC);

    if ($results) {
        foreach ($results as $result) {
            $user_id = $result["user_id"];
            $fullname_parts = explode(" ", $result["user_fullname"]);

            // Soyadını sansürle (Türkçe karakterlere karşı daha dayanıklı hale getirildi)
            $soyad = $fullname_parts[count($fullname_parts) - 1];
            $sansurlu_soyad = mb_substr($soyad, 0, 1) . str_repeat('*', max(0, mb_strlen($soyad, 'UTF-8') - 2)) . mb_substr($soyad, -1);

            // Güncelleme
            $sql_update = "UPDATE kullanicilar SET user_fullname_old = user_fullname, user_fullname = CONCAT(SUBSTRING(user_fullname, 1, CHAR_LENGTH(user_fullname) - CHAR_LENGTH(SUBSTRING_INDEX(user_fullname, ' ', -1)) - 1), ' ', :sansurlu_soyad) WHERE user_id = :user_id AND user_bot = 1 AND user_fullname_old IS NULL";

            $stmt_update = $db->prepare($sql_update);
            $stmt_update->bindParam(':sansurlu_soyad', $sansurlu_soyad, PDO::PARAM_STR);
            $stmt_update->bindParam(':user_id', $user_id, PDO::PARAM_INT);

            if ($stmt_update->execute()) {
                echo "Güncelleme başarılı. User ID: $user_id<br>";
            } else {
                echo "Hata: " . $stmt_update->errorInfo()[2];
            }
        }
    } else {
        echo "İşlem yapılacak kullanıcı bulunamadı";
    }
} catch (PDOException $e) {
    echo "Hata: " . $e->getMessage();
}

// Bağlantıyı kapatma (Opsiyonel, çünkü script zaten sona eriyor)
$db = null;
?>
